package com.ruoyi.ie.service.impl;

import com.ruoyi.ie.domain.Paperques;
import com.ruoyi.ie.mapper.PaperquesMapper;
import com.ruoyi.ie.service.IPaperquesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author mingxue
 * @date 2021-06-20
 */
@Service
public class PaperquesServiceImpl implements IPaperquesService
{
    @Autowired
    private PaperquesMapper paperquesMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public Paperques selectPaperquesById(Long id)
    {
        return paperquesMapper.selectPaperquesById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param paperques 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<Paperques> selectPaperquesList(Paperques paperques)
    {
        return paperquesMapper.selectPaperquesList(paperques);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param paperques 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertPaperques(Paperques paperques)
    {
        return paperquesMapper.insertPaperques(paperques);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param paperques 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updatePaperques(Paperques paperques)
    {
        return paperquesMapper.updatePaperques(paperques);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deletePaperquesByIds(Long[] ids)
    {
        return paperquesMapper.deletePaperquesByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deletePaperquesById(Long id)
    {
        return paperquesMapper.deletePaperquesById(id);
    }
}
